-- CONTENTS
-- All craftitems
-- Only the CRAFTitems, none of the actual items in-game
-- Includes the TARDIS biscuit

local S = minetest.get_translator("drwho_tardis")

-- ALL CRAFTITEMS

minetest.register_craftitem("drwho_tardis:arton_crystal", {
    description = S("Arton Crystal"),
    inventory_image = "arton_crystal.png",
    groups = {}
})
minetest.register_node("drwho_tardis:spacetime", {
    description = S("Compressed Spacetime"),
    tiles = {"tardis_spacetime.png"},
    groups = {cracky = 1}
})
minetest.register_craftitem("drwho_tardis:circuitry_board", {
    description = S("Tardis Circuitry"),
    inventory_image = "tardis_circuit_board.png",
    groups = {}
})
minetest.register_craftitem("drwho_tardis:biscuit", {
    description = S("Biscuit"),
    inventory_image = "tardis_biscuit.png",
    on_use = minetest.item_eat(8),
    _rp_hunger_food = 8, -- RePixture compat
    _rp_hunger_sat = 14, -- `rp_hunger`
})
minetest.register_craftitem("drwho_tardis:azbantium_shard", {
    description = S("Azbantium Shard"),
    inventory_image = "azbantium_shard.png",
})
minetest.register_craftitem("drwho_tardis:dalekanium_ingot", {
    description = S("Dalekanium Ingot"),
    inventory_image = "dalekanium_ingot.png",
})
minetest.register_node("drwho_tardis:azbantium", {
    description = S("Azbantium"),
    light_source = 4,
    tiles = {"azbantium.png"},
    groups = {azbantium = 1},
})